Package org.eclipse.gef.util

# Class EditPartUtilities

java.lang.Object
org.eclipse.gef.util.EditPartUtilities

public final class EditPartUtilities extends Object
Utility class comprising functions related to `EditPart`s

Since:
  3.6

## Method Summary

Modifier and Type
Method
Description
`static LinkedHashSet<? extends GraphicalEditPart>`
`getAllChildren(GraphicalEditPart parentEditPart)`
Returns the transitive child edit part set of the given parent `GraphicalEditPart`.
`static HashSet`
`getAllNestedConnectionEditParts(GraphicalEditPart graphicalEditPart)`
Returns the transitive nested connection edit parts.
`static HashSet`
`getNestedConnectionEditParts(GraphicalEditPart graphicalEditPart)`
Returns the set of `ConnectionEditPart`s that are linked to the child edit parts of the given `GraphicalEditPart`.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### getAllChildren

public static LinkedHashSet<? extends GraphicalEditPart> getAllChildren(GraphicalEditPart parentEditPart)
Returns the transitive child edit part set of the given parent `GraphicalEditPart`.

Parameters:
  `parentEditPart` - the parent graphical edit part for which to retrieve the transitive child edit part set.
Returns:
  the transitive child edit part set

### getAllNestedConnectionEditParts

public static HashSet getAllNestedConnectionEditParts(GraphicalEditPart graphicalEditPart)
Returns the transitive nested connection edit parts.

Parameters:
  `graphicalEditPart` - the graphical edit part
Returns:
  the transitive nested connection edit parts

### getNestedConnectionEditParts

public static HashSet getNestedConnectionEditParts(GraphicalEditPart graphicalEditPart)
Returns the set of `ConnectionEditPart`s that are linked to the child edit parts of the given `GraphicalEditPart`.

Parameters:
  `graphicalEditPart` - the graphical edit part
Returns:
  the set of child `ConnectionEditPart`s for the given `GraphicalEditPart`